# Created by pyp2rpm-3.3.2
%global pypi_name misaka

Name:           python-%{pypi_name}
Version:        2.1.1
Release:        %mkrel 7
Summary:        A CFFI binding for Hoedown, a markdown parsing library
Group:          Development/Python
License:        MIT
URL:            https://github.com/FSX/misaka
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         fix-check.patch
Patch1:         0001-doc_fix-compat-with-Sphinx-6.0.patch
BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
# for tests
BuildRequires:  tidy

%description
A CFFI binding for Hoedown (version 3), a markdown parsing library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}
Requires:       python3dist(cffi) >= 1.0.0

%description -n python3-%{pypi_name}
A CFFI binding for Hoedown (version 3), a markdown parsing library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# for docs and tests
%{__python3} setup.py build_ext --inplace

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%doc html
%{_bindir}/misaka
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 28 2023 daviddavid <daviddavid> 2.1.1-7.mga9
+ Revision: 1945848
- add patch to fix compat with Sphinx >= 6.0

* Tue Mar 29 2022 umeabot <umeabot> 2.1.1-6.mga9
+ Revision: 1832829
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.1.1-5.mga9
+ Revision: 1783762
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 2.1.1-4.mga9
+ Revision: 1717266
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.1.1-3.mga8
+ Revision: 1535236
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 2.1.1-2.mga8
+ Revision: 1451608
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 2.1.1-1.mga8
+ Revision: 1430761
- imported package python-misaka

